Get Terminal

Get a terminal configuration by ID.

Path Parameters
  • terminal_id
    Type: string · Terminal Id
    required

    The terminal ID

Query Parameters
  • include_processor_config
    Type: boolean · Include Processor Config

    When true, include processor_details (processor config name/processor/gateway/psp) so callers don't need a second round-trip to resolve how the terminal routes.

Headers
  • Accept
    enum
    const:  
    application/json
    required

    Response format. Must be application/json.

    values
    • application/json
Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v2/terminals/{terminal_id}
curl 'https://api.uat.koard.com/v2/terminals/{terminal_id}' \
  --header 'Accept: application/json' \
  --header 'x-koard-apikey: YOUR_SECRET_TOKEN'
{
  "account_id": "string",
  "agent_bank_number": null,
  "bin": null,
  "country_code": "840",
  "created_at": "2026-08-14T15:02:48.703Z",
  "currency_code": "USD",
  "deleted_at": null,
  "description": null,
  "merchant_category_code": null,
  "merchant_name": null,
  "mid": "string",
  "name": "string",
  "processor_config_id": "string",
  "serial_number": null,
  "status": "active",
  "surcharge_rate": null,
  "surcharge_basis": "total",
  "surcharge_confirmation_required": null,
  "tax_rate": null,
  "tax_basis": "total",
  "terminal_capability": "5",
  "terminal_id": "string",
  "tid": "string",
  "transactions": [],
  "updated_at": null,
  "var_sheet": null,
  "vid": null
}